Summary: Gathers system hardware and configuration information.
Name: sysreport
Version: 1.2
Release: 1p
URL: http://www.redhat.com/support
Group: Development/Debuggers
Source0: sysreport-%{version}.tar.gz
Copyright: GPL
BuildArchitectures: noarch
Buildroot: /var/tmp/%{name}-root
Requires: bash gawk grep sed

%description
Sysreport is a utility which gathers information about a system's
hardware and configuration. The information can then be used for
diagnostic purposes and debugging.  Sysreport is commonly used to help
support technicians and developers by providing a "snapshot" of a
system's current layout.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/sysreport

install sysreport $RPM_BUILD_ROOT/usr/sbin/sysreport
install functions $RPM_BUILD_ROOT/usr/share/sysreport/functions
install sysreport-fdisk $RPM_BUILD_ROOT/usr/share/sysreport/sysreport-fdisk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README RFC Changelog
%attr(0744,root,root)	/usr/sbin/sysreport
%attr(0744,root,root)	/usr/share/sysreport/sysreport-fdisk
%dir			/usr/share/sysreport
%attr(0744,root,root)	/usr/share/sysreport/functions

%changelog
* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- don't look for /etc/inetd.d directory, fix cp warnings (#9469, #25507)

* Wed Nov 08 2000 "Wil Harris" <wil@redhat.com>
- changed the cp of /proc/bus to do lspci -vn to keep from locking up machines
- added some fixes for old and new bind (named.boot vs named.conf)

* Mon Oct 23 2000 "Wil Harris" <wil@redhat.com>
- Bumped version up to 1.1

* Wed Oct 4 2000 "Wil Harris" <wil@redhat.com>
- Fixed sysreport to handle both the new xinetd and old inetd files
- Added a little better file checking to remove some of the failed
- Added a sanity check for boot loader
- Added checking for modules.conf and conf.modules

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- bump release to 3.2.

* Wed Dec 1 1999 "Wil Harris" <wil@redhat.com>
- Fixed a problem with the fdisk work around

* Mon Nov 22 1999 "Wil Harris" <wil@redhat.com>
- Fixed fdisk options
- Added function for Dac960 and Compaq smart Array Raid controllers with help
  from "Adrian Likins" <alikins@redhat.com>
- Added option to check for milo.conf
- Fixed the mail to address
- Fixed a typo

* Fri Sep 10 1999 "Wil Harris" <wil@redhat.com>"
- Fixed a typo and added a blank line to seperate the information so that it 
  can be read easier.

* Fri Sep 10 1999 "Wil Harris" <wil@redhat.com>"
- Arranged information gathering to be in a more logical order.
- Put yet MORE verbosity into script by explaining the steps as they are going through.
- Fixed the mailto to be a little more understandable.

* Fri Sep 10 1999 "Peter Jones" <pjones@redhat.com>
- Added even more verbosity
- Fixed OK/Failed to be real
- Added filename defaults
- Added "ENTER to continue..." stuff
- Fixed mailto address at end

* Fri Sep 10 1999 "Peter Jones" <pjones@redhat.com>
- Added even more verbosity
- ipchains stuff.
- changed permissions to 0744 to keep Adrian's paranoia at bay.

* Fri Sep 10 1999 "Wil Harris" <wil@redhat.com>"
- Added init style notifications of the current progress of sysreport.

* Thu Sep 9 1999 "Peter Jones" <pjones@redhat.com>
- Change for named information.
- Preserve tree structure
- Removed lspci in favor of duplicating /proc/bus
- gzip -9.  If size restrictions become a problem, switch to bzip2?
- Added rpm -Va > rpm-verify
- Fix umask

* Thu Sep 9 1999 "Wil Harris" <wil@redhat.com>
- Change the /proc/scsi/scsi to /proc/scsi to get further scsi information.

* Wed Sep 8 1999 "Wil Harris" <wil@redhat.com>
- Relocated functions needed by suppinfo to /usr/share/support.

* Wed Sep 8 1999 "Wil Harris" <wil@redhat.com>
- Fixed a typo in the README and RFC. Changed the package name.

* Wed Sep 8 1999 "Wil Harris" <wil@redhat.com>
- Rewrote support with enormous help from Peter Jones <pjones@redhat.com>.

* Wed Aug 25 1999 "Wil Harris" <wil@redhat.com> 
- First RPM release of scripts made.

